<script lang="ts">
  import type { PageData } from './$types';
  import CreateTaskModal from '@components/TaskBoard/CreateTaskModal.svelte';
  import HelpModal from '@components/TaskBoard/HelpModal.svelte';
  import TaskColumns from '@components/TaskBoard/TaskColumns.svelte';
  import { faPlusCircle, faQuestionCircle } from '@fortawesome/free-solid-svg-icons';
  import Fa from 'svelte-fa';
  let showHelp;
  let showCreateTask = false;

  export let data: PageData;
  $: teamId = data.teamId;
</script>

<svelte:head>
  <title>Task Board</title>
</svelte:head>

<div class="container">
  <CreateTaskModal {teamId} bind:open={showCreateTask} />
  <HelpModal bind:open={showHelp} />
</div>

<div class="container-fluid">
  <div class="d-flex flex-row">
    <h1 class="flex-grow-1">Task Board</h1>
    <button type="button" on:click={() => showHelp = true} class="btn btn-primary h-25 m-auto me-3" data-toggle="modal">
      <Fa icon={faQuestionCircle} /> Help
    </button>
    <button type="button" on:click={() => showCreateTask = true} class="btn btn-secondary h-25 m-auto" data-toggle="modal">
      <Fa icon={faPlusCircle} /> New Task
    </button>
  </div>

  <div class="bg-dark rounded p-4" style="height: 80vh">
    <TaskColumns teamId={teamId} />
  </div>
</div>
